diff --git a/lustre/tests/test-framework.sh b/lustre/tests/test-framework.sh
index 96ce1c3760300ac437eff48ef3ccd7e5eab64ee1..37e9e32ebe12377f86f7a68826700c5af6c153a2 100644
--- a/lustre/tests/test-framework.sh
+++ b/lustre/tests/test-framework.sh
@@ -386,7 +386,7 @@ zconf_umount() {
     local running=$(do_node $client "grep -c $mnt' ' /proc/mounts") || true
     if [ $running -ne 0 ]; then
         echo "Stopping client $client $mnt (opts:$force)"
-        lsof | grep "$mnt" || true
+        do_node $client lsof | grep "$mnt" || true
         do_node $client umount $force $mnt
     fi
 }